#pragma once

#include "CoreMinimal.h"
#include "Engine/DataAsset.h"
#include "Templates/SubclassOf.h"
#include "DBDTunableRowHandleOverride.h"
#include "SkillData.generated.h"

class USkill;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API USkillData : public UDataAsset
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<TSubclassOf<USkill>> Skills;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsInnateSkill;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FDBDTunableRowHandleOverride> TunableOverrides;

public:
	USkillData();
};

FORCEINLINE uint32 GetTypeHash(const USkillData) { return 0; }
